# BIBIS, v0.9.3
美々蝶々の BBS です。

## 従属ソフト
- PHP 8.2 又は PHP.7.4
- OpenBSD の httpd 又は nginx
- 良いOS

## 注意
- 各種制限の上限は増やせますが、上限は廃止できません。
- 管理者用機能はありません。
- public フォルダー以外、外部からのアクセスを禁止してください。
- data フォルダーは、php-fpm から読み書き可能な権限を設定にしてください。

## インストール方法

コマンドは OpenBSD の場合の例です。自分の OS に合せてください。

### (1) 従属ソフト(OpenBSD httpd)
```
# pkg_add php-8.2.0
# rcctl enable php82_fpm httpd
# rcctl start  php82_fpm httpd
```

### (1) 従属ソフト(nginx)
```
# pkg_add php-8.2.0 nginx
# rcctl enable php82_fpm nginx
# rcctl start  php82_fpm
```

### (2) 配置
```
# cd /var/www
# git clone https://gitler.moe/tak4/bibis.git
# cd /var/www/bibis
# mkdir -m700 data
# cp -p example/config.example.php config.php
# vi config.php
```
必ず、PASSWORD_SOLT をランダムに変更し、どこかにバックアップしてください。

### (3) HTTPDの設定(OpenBSD httpd)
```
# vi /etc/httpd.conf
追記↓
server "bibis" {
    listen on * port 8080
    root "/bibis/public"
    directory index "index.php"
    location "*.php" {
        fastcgi socket "/run/php-fpm.sock"
    }
    gzip-static
}

# rcctrl restart php82_fpm httpd
```

### (3) HTTPDの設定(nginx)
```
# vi /etc/nginx/nginx.conf
追記↓
server {
    listen       8080;
    listen       [::]:8080;
    server_name  bibis;
    root         /var/www/bibis/public;
    location ~ \.php$ {
        try_files      $uri $uri/ =404;
        fastcgi_pass   unix:run/php-fpm.sock;
        fastcgi_index  index.php;
        fastcgi_param  SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include        fastcgi_params;
    }
}

# rcctrl restart php82_fpm
# rcctrl start nginx
```
