<?php
// config.php の項目に対するデフォルト値を定義する
// ただし次の項目は必須: PASSWORD_SOLT, and PASSWORD_ITER
// TODO: PASSWORD_SOLT->PASSWORD_SALT (PASSWORD_PEPPER?)

default_config('DATA_ROOT', __DIR__ . '/../data/');
default_config('OPEN_BASEDIR', null);
default_config('USERS_TSV', DATA_ROOT . 'users.tsv');
default_config('LIMIT_TSV', DATA_ROOT . 'repeating-limit.tsv');
default_config('PROFILE_DIR', DATA_ROOT . 'profile/');
default_config('POST_DIR', DATA_ROOT . 'post/');
default_config('ATTACHMENT_DIR', DATA_ROOT . 'attachment/');

default_config('SITENAME', 'BIBIS');
default_config('SITEBASE', '/');
default_config('POSTS_PER_PAGE', 20);
default_config('TIMEZONE', 'UTC');
default_config('HIDE_TIME', false);
default_config('THEME', null);

default_config('ENABLE_POST', false);
default_config('REQUIRE_COOKIE', false);
default_config('ENABLE_GUEST', false);
default_config('ENABLE_LOGIN', false);
default_config('ENABLE_REGISTER', false);
default_config('ENABLE_ATTACHMENT', false);
default_config('ENABLE_IMAGE', false);
default_config('ENABLE_THUMBNAIL', true);
default_config('ENABLE_SPOOF_TIME', false);
default_config('ENABLE_FAKE_ERROR', false);

default_config('THREAD_SIZE', 100);
default_config('POST_LIMIT', 500);
default_config('POST_LIMIT_PER_DAY', 50);
default_config('USER_LIMIT', 50);

default_config('BIBIS_DEBUG', false);

function default_config($key, $value) {
	if (defined($key)) { return; }
	define($key, $value);
}
